Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 648050 (EAPI2Removal) - [TRACKER] EAPI 2 removal
Summary: [TRACKER] EAPI 2 removal
Status: RESOLVED FIXED
Alias: EAPI2Removal
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Quality Assurance Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 335233 377867 381073 421427 514432 587806 590052 595684 602042 603760 603988 CVE-2016-10151, CVE-2016-10152 612980 616674 626228 626420 627464 629184 638616 639802 639804 640596 642498 644302 644422 644480 644534 645512 646968 648092 648094 648096 648102 648104 648106 648108 648118 648122 648124 648136 648138 648140 648144 648154 648158 648160 648222 648224 648226 648228 648230 648232 648234 648236 648240 648242 648244 648250 648254 648270 648272 648276 648278 648280 648282 648284 648286 648290 648292 648294 648296 648298 648302 648372 648388 648390 648392 648394 648396 648398 648400 648402 648404 648706 648808 648812 648818 648820 648822 648824 648826 648830 648832 648850 648852 648862 648866 648870 648872 648874 648876 648878 648882 648884 648886 648888 652454 655466 657132 657144 658020 659088 663720 672118 672120 672562 675220 675224 675228 679104 679244 679442 679450 679452 679456 679458 679462 679464 679468 679470 680252 682904 685626 685778 687220 687440 688154 688156 688160 688502 688504 688506 688508 688510 688512 688514 691252
Blocks:
  Show dependency tree
 
Reported: 2018-02-18 21:48 UTC by Andreas K. Hüttel
Modified: 2019-10-07 17:12 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
current list of EAPI=2 ebuilds (428) (eapi-2-ebuilds.txt,11.33 KB, text/plain)
2018-02-18 21:48 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (92) (eapi-2-ebuilds.txt,2.48 KB, text/plain)
2019-01-11 20:47 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (60) (eapi-2-ebuilds.txt,1.63 KB, text/plain)
2019-04-12 21:51 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (52) (eapi-2-ebuilds.txt,1.43 KB, text/plain)
2019-05-11 14:10 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (36) (eapi-2-ebuilds.txt,1.01 KB, text/plain)
2019-06-04 02:35 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (32) (eapi-2-ebuilds.txt,932 bytes, text/plain)
2019-06-06 02:15 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (31) (eapi-2-ebuilds.txt,897 bytes, text/plain)
2019-06-16 14:17 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (24) (eapi-2-ebuilds.txt,707 bytes, text/plain)
2019-06-26 22:41 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (21) (eapi-2-ebuilds.txt,629 bytes, text/plain)
2019-07-07 15:37 UTC, Andreas K. Hüttel
Details
current list of EAPI=2 ebuilds (12) (eapi-2-ebuilds.txt,349 bytes, text/plain)
2019-08-01 17:11 UTC, Andreas K. Hüttel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2018-02-18 21:48:38 UTC
Created attachment 520074 [details]
current list of EAPI=2 ebuilds (428)

No talking please.
Comment 1 Larry the Git Cow gentoo-dev 2018-08-08 06:38:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce75a68d52dfd46fc93551968b8350da6f8e4105

commit ce75a68d52dfd46fc93551968b8350da6f8e4105
Author:     Michael Mair-Keimberger <m.mairkeimberger@gmail.com>
AuthorDate: 2018-07-11 20:16:43 +0000
Commit:     Andrew Savchenko <bircoph@gentoo.org>
CommitDate: 2018-08-08 06:37:59 +0000

    sys-cluster/pconsole: EAPI7, improve ebuild, add upstream information to
    metadata.xml
    
    Bug: https://bugs.gentoo.org/648050

 .../pconsole/files/pconsole-1.0-exit-warn.patch    |  4 +--
 sys-cluster/pconsole/metadata.xml                  |  3 ++
 sys-cluster/pconsole/pconsole-1.0-r4.ebuild        | 32 ++++++++++++++++++++++
 3 files changed, 37 insertions(+), 2 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2018-08-14 21:20:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edd8e889fd9b5e19b0c72d24de33e601b8ec7254

commit edd8e889fd9b5e19b0c72d24de33e601b8ec7254
Author:     Michael Mair-Keimberger <m.mairkeimberger@gmail.com>
AuthorDate: 2018-07-22 20:30:59 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-08-14 21:20:39 +0000

    net-dialup/lrzsz: EAPI 7 bump.
    
    Bug: https://bugs.gentoo.org/648050

 net-dialup/lrzsz/lrzsz-0.12.20-r4.ebuild | 60 ++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2018-08-15 19:53:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d1cae050f32e59fcda0f629017af706a5f135b7

commit 7d1cae050f32e59fcda0f629017af706a5f135b7
Author:     Michael Mair-Keimberger <m.mairkeimberger@gmail.com>
AuthorDate: 2018-08-01 16:47:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-15 19:53:31 +0000

    sys-fs/copyfs: EAPI7, improve ebuild
    
    Bug: https://bugs.gentoo.org/648050

 sys-fs/copyfs/copyfs-1.0.1-r1.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
Comment 4 Andreas K. Hüttel gentoo-dev 2019-01-11 20:47:31 UTC
Created attachment 560702 [details]
current list of EAPI=2 ebuilds (92)
Comment 5 Andreas K. Hüttel gentoo-dev 2019-04-12 21:51:18 UTC
Created attachment 572640 [details]
current list of EAPI=2 ebuilds (60)
Comment 6 Andreas K. Hüttel gentoo-dev 2019-05-11 14:10:29 UTC
Created attachment 576032 [details]
current list of EAPI=2 ebuilds (52)
Comment 7 Andreas K. Hüttel gentoo-dev 2019-06-04 02:35:03 UTC
Created attachment 578638 [details]
current list of EAPI=2 ebuilds (36)
Comment 8 Andreas K. Hüttel gentoo-dev 2019-06-06 02:15:45 UTC
Created attachment 578970 [details]
current list of EAPI=2 ebuilds (32)
Comment 9 Andreas K. Hüttel gentoo-dev 2019-06-16 14:17:51 UTC
Created attachment 579900 [details]
current list of EAPI=2 ebuilds (31)
Comment 10 Andreas K. Hüttel gentoo-dev 2019-06-26 22:41:04 UTC
Created attachment 581120 [details]
current list of EAPI=2 ebuilds (24)
Comment 11 Andreas K. Hüttel gentoo-dev 2019-07-07 15:37:29 UTC
Created attachment 582128 [details]
current list of EAPI=2 ebuilds (21)
Comment 12 Andreas K. Hüttel gentoo-dev 2019-08-01 17:11:47 UTC
Created attachment 585368 [details]
current list of EAPI=2 ebuilds (12)
Comment 13 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-27 15:20:14 UTC
Out of the 5 packages left today:

- I've bumped glassfish* and removed old, so it's done.
- I've bumped asterisk* and it's waiting for stabilization.
- I've fixed cvm and shifted stablereq to newer version, now it's waiting.
- I've pinged Robin about cfengine, I suppose we'll remove it.
- The last package (whatever it was) is lastrited.
Comment 14 Ulrich Müller gentoo-dev 2019-10-07 17:12:33 UTC
All done. Closing.